=== debian/changelog ===
qmmp (0.8.2-1build2) wily; urgency=medium

  * No-change rebuild for new libsidplayfp

 -- Iain Lane <iain@orangesquash.org.uk>  Sun, 16 Aug 2015 16:01:41 +0100

qmmp (0.8.2-1build1) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 07:03:55 +0000

qmmp (0.8.2-1) unstable; urgency=low

  * New upstream release.
    + Removed patches (everything applied upstream).

 -- Matteo Cypriani <mcy@lm7.fr>  Mon, 20 Oct 2014 12:39:10 -0400

qmmp (0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Adoption. (Closes: #750924)
  * Un-split the package: libqmmp* are now into the main qmmp package,
    installed as private libraries (/usr/lib/qmmp/libqmmp*).
  * Switch to debhelper 9 and format 3.0 (quilt).
  * Bump Standards-Version to 3.9.6.
  * debian/copyright:
    + Switch to format 1.0.
    + Full copyright review (thanks to Thomas Preud'homme): update dates, add
      missing authors, add missing exceptions.
    + Relicense debian/* under GPL-2+, with authorisation of the former
      maintainer, Eugene V. Lyubimkin (cf. #750924).
  * debian/control:
    + Simplify Build-Depends (remove most version numbers).
    + Add missing Build-Depends: qtchooser, libcdio-dev, libopus-dev,
      libopusfile-dev, libsidplayfp-dev, libenca-dev.
    + qmmp now Suggests mplayer2.
    + Add Vcs-Git and Vcs-Browser fields.
    + Update Homepage.
    + Update qmmp's Description.
  * debian/rules:
    + Simplify.
    + Don't call cmake directly, use dh_auto_configure instead.
    + Add verbose build variables (commented-out).
    + Add CPPFLAGS to CFLAGS and CXXFLAGS (fixes hardening).
    + Add -Wl,--as-needed to LDFLAGS to avoid unneeded dependencies for
      plugins.
  * debian/patches:
    + Actually remove 010-libav10-support.patch.
    + Add allows_one_to_typo.patch.
    + Add desktop_files.patch.
  * debian/watch: add "debian uupdate".
  * Add debian/upstream/metadata (DEP-12).
  * Add lintian override (spellcheck false positive on libqmmpui).
  * Remove useless debian/README.source.
  * Remove useless debian/README.Debian (Opus is supported now).

 -- Matteo Cypriani <mcy@lm7.fr>  Mon, 06 Oct 2014 17:03:56 -0400

qmmp (0.7.6-2) unstable; urgency=medium

  * debian/control:
    - Typo fix: s/conveter/converter/. (Closes: #746181)
    - Suggest udisks2 instead of udisks on linux. Already supported upstream
      since 0.7.0. (Closes: #750513)
    - libqmmpui-dev now depends on libqmmp-dev. Suggested by upstream.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 08 Jun 2014 17:27:05 +0300

qmmp (0.7.6-1) experimental; urgency=medium

  * New upstream release.
    - Uploading to experimental until libav10 transition is completed.
  * debian/patches:
    - 010-libav10-support.patch: removed, implemented in a different way
      upstream.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Wed, 23 Apr 2014 21:01:06 +0300

qmmp (0.7.5-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Added quilt to Build-Depends.
    - Bumped Standards-Version to 3.9.5, no changes needed.
  * debian/rules:
    - Use quilt sequence.
  * debian/patches:
    - New patch '010-libav10-support.patch' by Sebastian Ramacher.
      (Closes: #739378)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 22 Feb 2014 15:02:54 +0200

qmmp (0.7.4-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright:
    - Updated list of translators.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Thu, 26 Dec 2013 14:13:22 +0200

qmmp (0.7.3-1) unstable; urgency=low

  * New upstream relese.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 05 Oct 2013 16:53:22 +0300

qmmp (0.7.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Bumped Standards-Version to 3.9.4, no changes needed.
  * debian/rules:
    - Use dpkg-provided buildflags if possible.
    - Enable verbose building.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Mon, 24 Jun 2013 21:28:47 +0300

qmmp (0.7.0-1) experimental; urgency=low

  * New upstream release.
  * debian/copyright:
    - Updated upstream copyrights and licenses.
  * debian/control:
    - Updated list of features.
  * debian/libqmmp{,ui}0.install:
    - Updated for 0.7.x upstream releases.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 21 Apr 2013 12:34:22 +0300

qmmp (0.6.6-1) experimental; urgency=low

  * New upstream release.
  * debian/copyright:
    - Updated upstream copyright years.
    - Updated list of translators.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 27 Jan 2013 15:49:22 +0200

qmmp (0.6.3-1) experimental; urgency=low

  * New upstream release.
  * debian/control:
    - Added missing epoch to build-depends on libqt4-dev. Thanks to
      Jakub Wilk's epoch-mismatch-finder.
    - Updated upstream feature list, added 'DSP effects' section.
  * debian/copyright:
    - Upstream upstream copyrights.
  * debian/libqmmp{,ui}0.install:
    - Updated for 0.6.x upstream releases.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 15 Sep 2012 16:30:42 +0300

qmmp (0.5.5-1) unstable; urgency=low

  * New upstream release.
    - Fixes scrobbler failure when using Qt 4.8 (Closes: #673896)
  * debian/control:
    - Added 'oss4-dev' to Build-Depends as upstream now enables OSS4 output
      plugin by default.
    - Bumped Standards-Version to 3.9.3, no changes needed.
  * debian/README.Debian:
    - Removed with obsolete BS2B info (BS2B plugin was enabled in 0.5.2-1).
  * debian/copyright:
    - Updated Slovak translator's mail address.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Mon, 28 May 2012 13:33:17 +0300

qmmp (0.5.4-1) unstable; urgency=low

  * New upstream release.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Thu, 01 Mar 2012 21:45:26 +0200

qmmp (0.5.3-1) unstable; urgency=low

  * New upstream release.
    - FFMpeg input plugin: include libavutil header properly.
      (Closes: #657939)
  * debian/copyright:
    - Updated copyright years.

